var emkp_invoices_handler = {
    selectors: {
        input: '#emkp_invoice_file',
        button: '#emkp_invoice_upload',
        order_id: '#post_ID'
    },

    init: function () {
        jQuery(this.selectors.button).on('click', this.uploadFile.bind(this));
    },

    uploadFile: function (e) {
        e.preventDefault();
        var data = new FormData(),
            files = jQuery(this.selectors.input).prop('files');

        if (!files.length) {
            alert('Please choose an invoice file!');
            return;
        }

        jQuery(this.selectors.button).attr('disabled', true);

        jQuery.each(files, function (key, value) {
            data.append(key, value);
        });

        data.append('action', 'upload_emag_invoice');
        data.append('order_id', jQuery(this.selectors.order_id).val());

        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: data,
            dataType: 'json',
            cache: false,
            contentType: false,
            processData: false
        }).done(function (response) {
            alert(response.message);

            if (!response.success) {
                jQuery(this.selectors.button).attr('disabled', false);
            }
        }.bind(this));
    }
};
