var emkp_localities_handler = {
    selectors: {
        import_button: '#emkp-import-localities-btn',
        save_button: '.emkp-save-settings-btn',
        import_message: '#emkp-import-localities-msg',
        select: '.emkp-localities-select'
    },

    import_is_running: false,

    init: function () {
        jQuery(this.selectors.import_button).on('click', this.import_localities.bind(this));

        jQuery(window).bind('beforeunload', function () {
            if (this.import_is_running) {
                return "The localities import is still running.\nLeaving the page will stop it.\nAre you sure that you want to leave this page?";
            }
        }.bind(this));

        jQuery(this.selectors.select).select2({
            ajax: {
                url: ajaxurl,
                dataType: 'json',
                minimumInputLength: 2,
                data: function (params) {
                    return {
                        search: params.term,
                        action: 'emkp_localities_search'
                    };
                },
                processResults: function (data) {
                    // Tranforms the top-level key of the response object from 'items' to 'results'
                    return {
                        results: jQuery.map(data, function (item, k) {
                            console.log(item, k);
                            return {
                                text: item,
                                slug: k,
                                id: k
                            }
                        })
                    };
                }
            }
        });
    },

    import_localities: function (e) {
        e.preventDefault();

        var import_button = jQuery(this.selectors.import_button),
            loading_text = import_button.attr('data-loading-text'),
            initial_text = import_button.attr('data-initial-text');

        jQuery(this.selectors.save_button).attr('disabled', true);
        jQuery(this.selectors.import_button).attr('disabled', true).html(loading_text);
        jQuery(this.selectors.import_message).show();

        this.import_is_running = true;

        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {action: 'emkp_import_localities'},
            dataType: 'json',
            cache: false
        }).done(function (response) {
            alert(response.message);

            jQuery(this.selectors.save_button).attr('disabled', false);
            jQuery(this.selectors.import_button).attr('disabled', false).html(initial_text);
            jQuery(this.selectors.import_message).hide();

            this.import_is_running = false;
        }.bind(this));
    }
};
