jQuery(document).ready(function () {
    jQuery(".js-example-basic-single").select2();
    jQuery(".js-mapping-woocommerce-category-select").select2();
    jQuery(".js-mapping-emag-category-select").select2();

    var i = 1;

    jQuery('#add_new_category').click(function (e) {
        e.preventDefault();

        var selectedWooCommerceOptions = jQuery('.js-mapping-woocommerce-category-select option:selected[value!="0"]').map(function (row) {
            return jQuery(this).val();
        }).get();

        var data = {
            action: 'add_match_event',
            dataType: 'html',
            'increment': i,
            'selectedWooCommerceOptions': selectedWooCommerceOptions
        };
        i++;
        jQuery.post(ajaxurl, data, function (response) {

            var table_body = jQuery('.emag-marketplace_page_emkp-mapping-categories > tbody'),
                first_table_row = table_body.find('tr:first-of-type');

            if (first_table_row.hasClass('no-items')) {
                first_table_row.remove();
            }

            table_body.append(response);
            var last_id = jQuery(jQuery.parseHTML(response)).filter("#add-new-row").val();
            jQuery("#last-emag-row-" + last_id).select2();

            jQuery.each(selectedWooCommerceOptions, function (index, value) {
                jQuery('.js-mapping-woocommerce-category-select option[value="' + value + '"]').not(':selected').prop('disabled', true);
            });
            jQuery(".js-mapping-woocommerce-category-select").select2().trigger('selection:update');

        });
    });

    var deleted_mappings = [];

    jQuery(document).on('click', 'button[data-trigger="delete-mapping"]', function (e) {
        e.preventDefault();

        var mapping_id = jQuery(this).attr('data-mapping-id');

        jQuery(this).parent().parent().remove();

        if (!mapping_id || mapping_id < 1) {
            return 0;
        }

        deleted_mappings.push(parseInt(mapping_id));

        jQuery('#js-deleted-mappings').val(JSON.stringify(deleted_mappings));
    });

    jQuery('#js-import_sync_categories_button').click(function (e) {
        e.preventDefault();

        var self = this,
            future_notice_element = jQuery("#js-ajax-message #js-future-notice"),
            data = {
                headers: {
                    Accept: "text/plain; charset=utf-8",
                    "Content-Type": "text/plain; charset=utf-8"
                },
                action: 'import_sync_categories_event',
                dataType: 'JSON'
            };


        jQuery('#loading-import-categories').addClass('emkp-loading');

        future_notice_element.attr('class', future_notice_element.attr('data-loading-class'));
        future_notice_element.find('p').html(future_notice_element.attr('data-loading-message'));

        jQuery(this).hide();

        jQuery.post(ajaxurl, data, function (response) {
            var response_status = response.success ? 'success' : 'error';

            future_notice_element.attr('class', future_notice_element.attr('data-' + response_status + '-class'));
            future_notice_element.find('p').html(future_notice_element.attr('data-' + response_status + '-message'));

            jQuery('#loading-import-categories').removeClass('emkp-loading');

            jQuery(self).show();
        });
    });

    var oldValue = null;
    jQuery(document).on('select2:open', '.js-example-basic-single', function () {
        oldValue = jQuery(this).find('option:selected').val();
    });

    jQuery(document).on('change', '.js-example-basic-single', function () {
        var currentValue = jQuery(this).val();

        if (currentValue != 0) {
            jQuery(".js-example-basic-single").find('option[value="' + currentValue + '"]').not(':selected').prop('disabled', true);
            jQuery(this).find('option[value="' + currentValue + '"]').prop('disabled', false);
        }

        if (oldValue !== null) {
            jQuery(".js-example-basic-single").find('option[value="' + oldValue + '"]').prop('disabled', false);
        }
        jQuery(".js-example-basic-single").select2().trigger('selection:update');
    });

    var oldWooCommerceValue = null;
    jQuery(document).on('select2:open', '.js-mapping-woocommerce-category-select', function () {
        oldWooCommerceValue = jQuery(this).find('option:selected').val();
    });

    jQuery(document).on('change', '.js-mapping-woocommerce-category-select', function () {
        var currentWooCommerceValue = jQuery(this).val();

        if (currentWooCommerceValue != 0) {
            jQuery(".js-mapping-woocommerce-category-select").find('option[value="' + currentWooCommerceValue + '"]').not(':selected').prop('disabled', true);
            jQuery(this).find('option[value="' + currentWooCommerceValue + '"]').prop('disabled', false);
        }

        if (oldWooCommerceValue !== null) {
            jQuery(".js-mapping-woocommerce-category-select").find('option[value="' + oldWooCommerceValue + '"]').prop('disabled', false);
        }
        jQuery(".js-mapping-woocommerce-category-select").select2().trigger('selection:update');
    });

    jQuery('#_emkp_brand').attr('required', jQuery('#_emkp_visible_to_marketplace').is(':checked'));

    jQuery('#_emkp_visible_to_marketplace').on('click', function (e) {
        jQuery('#_emkp_brand').attr('required', jQuery(this).is(':checked'));
    });

    // Invoices
    emkp_invoices_handler.init();

    // AWB / Shipping
    emkp_shipping_handler.init();

    // Localities
    emkp_localities_handler.init();
});
