var emkp_shipping_handler = {
    selectors: {
        generate_button: '#emkp_awb_generate',
        download_button: '.emkp_awb_download'
    },

    init: function () {
        jQuery(this.selectors.generate_button).on('click', this.generate_awb);
        jQuery(this.selectors.download_button).on('click', this.download_awb);
    },

    generate_awb: function (e) {
        e.preventDefault();

        jQuery(this).attr('disabled', true);

        var data = jQuery('[name^="emkp_awb"]').serialize();

        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: data + '&action=generate_emag_awb',
            dataType: 'json',
            cache: false
        }).done(function (response) {
            if (response.success) {
                location.reload();
            } else {
                jQuery(this).attr('disabled', false);
                alert(response.message);
            }
        }.bind(this));
    },

    download_awb: function (e) {
        e.preventDefault();

        var awb_id = jQuery(this).attr('data-id'),
            format = jQuery('.emkp_awb_format[data-id="' + awb_id + '"]').find(":selected").val();

        if (awb_id < 1 || jQuery.inArray(format, ['A4', 'A5', 'A6']) === -1) {
            alert('Select AWB format');

            return;
        }

        jQuery(this).attr('disabled', true);
        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'download_emag_awb',
                awb_id: awb_id,
                format: format
            },
            dataType: 'json',
            cache: false
        }).done(function (response) {
            if (response.success) {
                window.location = response.url;
            } else {
                jQuery(this).attr('disabled', false);
                alert(response.message);
            }
        }.bind(this));
    }
};
