<?php
if ( ! class_exists( 'Emkp_Awb_List' ) ) :
    /**
     * Class Emkp_Awb_List
     */
    class Emkp_Awb_List extends Emkp_Wp_List_Table {
        /**
         * @var int
         */
        protected $row = 0;

        /**
         * @var wpdb
         */
        private $global;

        protected $hide_nonce = true;

        /**
         * Emkp_Mapping_List constructor.
         */
        public function __construct() {

            global $wpdb;
            $this->global = $wpdb;

            parent::__construct( [
                'plural'   => '',
                'singular' => '',
                'ajax'     => false,
            ] );
        }

        /**
         * Get list columns.
         *
         * @return array
         */
        public function get_columns() {
            return array(
                'awb_number'   => __( 'AWB Number', 'emkp' ),
                'courier_name' => __( 'Courier Name', 'emkp' ),
                'created_at'   => __( 'Created At', 'emkp' ),
                'download'     => __( 'Download', 'emkp' ),
            );
        }

        /**
         * @param array $row
         *
         * @return string
         */
        public function column_awb_number( $row ) {
            return $row->awb_number;
        }

        /**
         * @param array $row
         *
         * @return string
         */
        public function column_courier_name( $row ) {

            return $row->courier_name;
        }

        /**
         * @param array $row
         *
         * @return string
         */
        public function column_created_at( $row ) {

            return date( 'Y-m-d H:i:s', strtotime( $row->created_at ) );
        }

        public function column_download( $row ) {
            $awb_id = $row->emag_id;

            require EMKP_ABSPATH . 'templates/order/awb-download-button.php';

        }

        /**
         * Get data for WP_Table
         */
        public function prepare_items() {
            $order_id              = (int) $_GET['post'];
            $awbs                  = $this->global->get_results( $this->global->prepare( "SELECT * FROM {$this->global->prefix}emkp_awbs WHERE order_id = %d", [ $order_id ] ) );
            $this->_column_headers = [ $this->get_columns(), [], [] ];

            $this->items = $awbs;
        }
    }
endif;
