<?php

/**
 * Class Emkp_Migration_Version_001
 */
class Emkp_Migration_Version_001 extends Emkp_Abstract_Migration {
    public function run() {
        $queries = [
            "CREATE TABLE IF NOT EXISTS `{$this->get_table_name('emkp_products_queue')}` (
  `id`                INT(2)                                        NOT NULL AUTO_INCREMENT,
  `product_id`        BIGINT(20) UNSIGNED                           NOT NULL,
  `status`            ENUM ('pending', 'running', 'sent', 'failed') NOT NULL DEFAULT 'pending',
  `state`             VARCHAR(255)                                  NOT NULL,
  `exception_message` TEXT                                          NULL,
  `created_at`        TIMESTAMP                                     NOT NULL DEFAULT NOW(),
  `updated_at`        TIMESTAMP                                     NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`)
)",
            "CREATE TABLE IF NOT EXISTS `{$this->get_table_name('emkp_orders_queue')}`
(
  `id`            MEDIUMINT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  `emag_order_id` INT                   NOT NULL,
  `wc_order_id`   INT,
  `status`        INT(1)                NOT NULL DEFAULT 0,
  `created_at`    TIMESTAMP             NOT NULL DEFAULT NOW(),
  `last_updated`  TIMESTAMP             NULL,
  `response`      TEXT,
  PRIMARY KEY (`id`),
  UNIQUE KEY (`emag_order_id`)
)",
        ];

        $triggers = [
            "CREATE TRIGGER `{$this->get_table_name('emkp_products_queue_before')}`
  BEFORE UPDATE
  ON `{$this->get_table_name('emkp_products_queue')}`
  FOR EACH ROW
  SET NEW.updated_at = NOW();",
            "CREATE TRIGGER `{$this->get_table_name('emkp_orders_queue_before')}`
  BEFORE UPDATE
  ON `{$this->get_table_name('emkp_orders_queue')}`
  FOR EACH ROW
  SET NEW.last_updated = NOW();",
        ];

        foreach ( $queries as $query ) {
            dbDelta( $query . ' ' . $this->collate );
        }

        foreach ( $triggers as $trigger ) {
            $this->wpdb->query( $trigger );
        }
    }
}
