<?php

/**
 * Class Emkp_Migration_Version_002
 */
class Emkp_Migration_Version_002 extends Emkp_Abstract_Migration {
    public function run() {
        $queries = [
            "CREATE TABLE IF NOT EXISTS `{$this->get_table_name('emkp_localities')}` (
  `id`             MEDIUMINT(9) UNSIGNED          NOT NULL AUTO_INCREMENT,
  `emag_id`        INT                            NOT NULL,
  `name`           VARCHAR(60)                    ,
  `display_name`   VARCHAR(60)                    ,
  `region`   VARCHAR(60)                          ,
  `created_at`     TIMESTAMP                      NOT NULL DEFAULT NOW(),
  `last_updated`   TIMESTAMP                      NULL,
  PRIMARY KEY (`id`),
  KEY `emag_id` (`emag_id`)
)",
        ];

        $triggers = [
            "CREATE TRIGGER `{$this->get_table_name('emkp_localities_before')}`
  BEFORE UPDATE
  ON `{$this->get_table_name('emkp_localities')}`
  FOR EACH ROW
  SET NEW.last_updated = NOW();",
        ];

        foreach ( $queries as $query ) {
            dbDelta( $query . ' ' . $this->collate );
        }

        foreach ( $triggers as $trigger ) {
            $this->wpdb->query( $trigger );
        }
    }
}
