<?php
global $emkp_display_error, $emkp_display_message;
?>
<h2 class="nav-tab-wrapper">
    <a href="<?php echo admin_url( 'admin.php?page=empk_general_settings&tab=api_config' ) ?>"
       class="nav-tab <?php echo $emkp_active_tab === 'api_config' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Api', 'emkp' ); ?></a>
    <a href="<?php echo admin_url( 'admin.php?page=empk_general_settings&tab=products' ) ?>"
       class="nav-tab <?php echo $emkp_active_tab === 'products' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Products' ); ?></a>
    <a href="<?php echo admin_url( 'admin.php?page=empk_general_settings&tab=orders' ) ?>"
       class="nav-tab <?php echo $emkp_active_tab === 'orders' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Orders' ); ?></a>
    <a href="<?php echo admin_url( 'admin.php?page=empk_general_settings&tab=payments' ) ?>"
       class="nav-tab <?php echo $emkp_active_tab === 'payments' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Payments' ); ?></a>
    <a href="<?php echo admin_url( 'admin.php?page=empk_general_settings&tab=shipping' ) ?>"
       class="nav-tab <?php echo $emkp_active_tab === 'shipping' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Shipping' ); ?></a>
    <a href="<?php echo admin_url( 'admin.php?page=empk_general_settings&tab=alerts' ) ?>"
       class="nav-tab <?php echo $emkp_active_tab === 'alerts' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Alerts' ); ?></a>
</h2>

<h1><?php _e( 'Emag Marketplace General Settings' ); ?></h1>
<?php if ( ! empty( $invalid_fields ) ): ?>

    <div id="error-page">
        <div class="error notice">
            <?php if ( count( $invalid_fields ) === 1 && isset( $invalid_fields['api'] ) ): ?>
                <p>The following issues have occured on saving configuration:</p>
                <ul style="list-style-type: initial; padding-left: 15px;">
                    <?php foreach ( $invalid_fields['api'] as $error ) : ?>
                        <li><?php _e( $error ); ?></li>
                    <?php endforeach; ?>
                </ul>
            <?php else: ?>
                <p><?php _e( 'Please check the form bellow, some values seem to be invalid!' ); ?></p>
            <?php endif; ?>
        </div>
    </div>
<?php elseif ( empty( $invalid_fields ) && $_SERVER['REQUEST_METHOD'] === 'POST' ): ?>
    <div id="setting-error-settings_updated" class="updated settings-error notice is-dismissible">
        <p>
            <strong><?php _e( 'Settings saved.' ) ?></strong>
        </p>
    </div>
<?php endif; ?>

<form method="post" action="" id="emkp_settings_form">
    <table class="form-table">
        <?php
        switch ( $emkp_active_tab ) {
            case 'api_config':
                require_once( EMKP_ABSPATH . 'templates/settings/tabs/api_config.php' );
                break;
            case 'products':
                require_once( EMKP_ABSPATH . 'templates/settings/tabs/products.php' );
                break;
            case 'orders':
                require_once( EMKP_ABSPATH . 'templates/settings/tabs/orders.php' );
                break;
            case 'alerts':
                require_once( EMKP_ABSPATH . 'templates/settings/tabs/alerts.php' );
                break;
            case 'payments':
                require_once( EMKP_ABSPATH . 'templates/settings/tabs/payments.php' );
                break;
            case 'shipping':
                require_once( EMKP_ABSPATH . 'templates/settings/tabs/shipping.php' );
                break;
            case 'default':
                require_once( EMKP_ABSPATH . 'templates/settings/tabs/api_config.php' );
                break;
        }
        ?>
    </table>
    <?php if ( $emkp_active_tab == 'shipping' ): ?>
        <div class="notice notice-warning" id="emkp-import-localities-msg">
            <p><?php _e( 'Importing localities... ' ); ?></p>
            <p><?php _e( 'This operation might take a while.' ); ?>. <strong><?php _e( 'Please do not close this page!' ); ?></strong></p>
        </div>
    <?php endif; ?>
    <p class="submit">
        <?php if ( $emkp_active_tab == 'shipping' ): ?>
            <button type="button" class="button <?php if ( ! get_option( 'emkp_localities_imported', false ) ): ?>emkp-localities-not-imported<?php endif; ?>"
                    id="emkp-import-localities-btn" data-initial-text="<?php _e( 'Import Localities' ); ?>"
                    data-loading-text="<?php _e( 'Importing...' ); ?>">
                <?php _e( 'Import Localities' ); ?>
            </button>
        <?php endif; ?>

        <input type="submit" name="submit" id="submit" class="button button-primary emkp-save-settings-btn" value="<?php _e( 'Save Changes' ); ?>">
    </p>
</form>
