<?php

namespace Zitec\MkpApiWrapper\Requests\Awb;

use Zitec\MkpApiWrapper\Requests\AbstractRequest;

class ReadRequest extends AbstractRequest
{
    protected $_endpoint = 'awb/read_pdf';

    /**
     * @return string
     */
    public function getEndpoint()
    {
        $baseEndpoint = parent::getEndpoint();

        $query = [];

        foreach ($this->_requestData['data'] as $k => $v) {
            $query[] = $k . '=' . $v;
        }

        return $baseEndpoint . '?' . implode('&', $query);
    }

    /**
     * @return bool
     */
    public function skipJsonDecode()
    {
        return true;
    }

    /**
     * @return bool
     */
    public function skipLog()
    {
        return true;
    }
}
