<?php

namespace Zitec\MkpApiWrapper\Requests\Order;

use Zitec\MkpApiWrapper\Requests\AbstractRequest;

/**
 * Class AcknowledgeRequest
 * @package Zitec\MkpApiWrapper\Requests\Order
 */
class AcknowledgeRequest extends AbstractRequest
{
    /**
     * @var string
     */
    protected $_endpoint = 'order/acknowledge';

    /**
     * @var array
     */
    protected $_fieldConstraints = [
        'order_id' => ['required', 'integer']
    ];

    /**
     * Return endpoint URL with order id appended.
     *
     * @return string
     */
    public function getEndpoint()
    {
        $endpoint = parent::getEndpoint();
        $requestData = $this->getRequestData();

        return $endpoint . '/' . $requestData['order_id'];
    }
}
