<?php

namespace Zitec\MkpApiWrapper\Requests\Order;

use Zitec\MkpApiWrapper\Requests\AbstractRequest;

/**
 * Class AttachmentsRequest
 * @package Zitec\MkpApiWrapper\Requests\Order
 */
class AttachmentsRequest extends AbstractRequest
{
    /**
     * @var string
     */
    protected $_endpoint = 'order/attachments/save';

    /**
     * @var array
     */
    protected $_fieldConstraints = [
        'order_id'       => ['required', 'integer', ['min', 1], ['max', 4294967295]],
        'name'           => ['optional', ['lengthBetween', 1, 60]],
        'url'            => ['required', ['lengthBetween', 1, 1024]],
        'type'           => ['optional', 'integer'],
        'force_download' => ['optional', 'integer', ['min', 0], ['max', 1]],
    ];
}
