<?php

namespace Zitec\MkpApiWrapper\Requests\Order;

use Zitec\MkpApiWrapper\Requests\AbstractRequest;

/**
 * Class ReadRequest
 * @package Zitec\MkpApiWrapper\Requests\Order
 */
class ReadRequest extends AbstractRequest
{
    /**
     * @var string
     */
    protected $_endpoint = 'order/read';

    /**
     * @var array
     */
    protected $_fieldConstraints = [
        'currentPage'     => ['optional', 'integer', ['min', 1], ['max', 100]],
        'itemsPerPage'    => ['optional', 'integer', ['min', 1], ['max', 65535]],
        'id'              => ['optional', 'integer', ['min', 1], ['max', 4294967295]],
        'createdBefore'   => ['optional', ['dateFormat', 'Y-m-d H:i:s']],
        'createdAfter'    => ['optional', ['dateFormat', 'Y-m-d H:i:s']],
        'modifiedBefore'  => ['optional', ['dateFormat', 'Y-m-d H:i:s']],
        'modifiedAfter'   => ['optional', ['dateFormat', 'Y-m-d H:i:s']],
        'status'          => ['optional'], // array or integer
        'payment_mode_id' => ['optional'], // array or integer
        'is_complete'     => ['optional', 'boolean'],
    ];
}
