<?php

namespace Zitec\MkpApiWrapper\Requests\ProductOffer;

use Zitec\MkpApiWrapper\Requests\AbstractRequest;

/**
 * Request definition for reading a product offer form Emag Marketplace.
 *
 * Class ReadRequest
 * @package Zitec\MkpApiWrapper\Requests\ProductOffer
 */
class ReadRequest extends AbstractRequest
{
    /**
     * API Endpoint
     *
     * @var string
     */
    protected $_endpoint = 'product_offer/read';

    /**
     * Field constraints
     *
     * @var array
     */
    protected $_fieldConstraints = [
        'id'                => ['required', 'integer', ['min', 1], ['max', 4294967295]],
        'currentPage'       => ['optional', 'integer'],
        'itemsPerPage'      => ['optional', 'integer'],
        'status'            => ['optional', 'boolean'],
        'availability_id'   => ['optional', ['in', [2, 3, 5]]],
        'validation_status' => ['optional', ['in', [1, 2, 3, 4, 5, 6, 7, 8]]],
        'general_stock'     => ['optional'],
        'estimated_stock'   => ['optional'],
    ];
}
